"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ru;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ROMANIZATION_ALPHABETS = exports.ROMANIZATION_ALPHABETS = {
  'ru': (_ru = {
    "А": "A",
    "а": "a",
    "Б": "B",
    "б": "b",
    "В": "V",
    "в": "v",
    "Г": "G",
    "г": "g",
    "Д": "D",
    "д": "d",
    "Е": "E",
    "е": "e",
    "Ё": "Yo",
    "ё": "yo",
    "Ж": "Zh",
    "ж": "zh",
    "З": "Z",
    "з": "z",
    "И": "I",
    "и": "i",
    "Й": "Ye",
    "й": "ye",
    "К": "K",
    "к": "k",
    "Л": "L",
    "л": "l",
    "М": "M",
    "м": "m",
    "Н": "N",
    "н": "n",
    "О": "O",
    "о": "o",
    "П": "P",
    "п": "p",
    "Р": "R",
    "р": "r",
    "С": "S",
    "с": "s",
    "Т": "T",
    "т": "t",
    "У": "U",
    "у": "u",
    "Ф": "F",
    "ф": "f",
    "Х": "Kh",
    "х": "kh",
    "Ц": "Ts",
    "ц": "ts",
    "Ч": "Ch",
    "ч": "ch",
    "Ш": "Sh",
    "ш": "sh",
    "Щ": "Shch",
    "щ": "shch",
    "Ъ": "",
    "ъ": "",
    "Ы": "Y",
    "ы": "y",
    "Ь": "",
    "ь": "",
    "Э": "E",
    "э": "e",
    "Ю": "Yu",
    "ю": "yu",
    "Я": "Ja",
    "я": "ja",
    ' ': ' ',
    '_': '_',
    "\"": "\"",
    "'": "'",
    "!": "!",
    "#": "#",
    "$": "$",
    "%": "%",
    "&": "&",
    "(": "(",
    ")": ")",
    "*": "*",
    "+": "+",
    ",": ",",
    "-": "-",
    ".": ".",
    "/": "/",
    ":": ":",
    ";": ";",
    "<": "<",
    "=": "=",
    ">": ">",
    "?": "?",
    "@": "@",
    "[": "[",
    "]": "]",
    "^": "^"
  }, _defineProperty(_ru, "_", "_"), _defineProperty(_ru, "`", "`"), _defineProperty(_ru, "{", "{"), _defineProperty(_ru, "|", "|"), _defineProperty(_ru, "}", "}"), _defineProperty(_ru, "~", "~"), _defineProperty(_ru, "0", "0"), _defineProperty(_ru, "1", "1"), _defineProperty(_ru, "2", "2"), _defineProperty(_ru, "3", "3"), _defineProperty(_ru, "4", "4"), _defineProperty(_ru, "5", "5"), _defineProperty(_ru, "6", "6"), _defineProperty(_ru, "7", "7"), _defineProperty(_ru, "8", "8"), _defineProperty(_ru, "9", "9"), _defineProperty(_ru, '№', '№'), _defineProperty(_ru, "	", "	"), _defineProperty(_ru, 'A', 'A'), _defineProperty(_ru, 'B', 'B'), _defineProperty(_ru, 'C', 'C'), _defineProperty(_ru, 'D', 'D'), _defineProperty(_ru, 'E', 'E'), _defineProperty(_ru, 'F', 'F'), _defineProperty(_ru, 'G', 'G'), _defineProperty(_ru, 'H', 'H'), _defineProperty(_ru, 'I', 'I'), _defineProperty(_ru, 'J', 'J'), _defineProperty(_ru, 'K', 'K'), _defineProperty(_ru, 'L', 'L'), _defineProperty(_ru, 'M', 'M'), _defineProperty(_ru, 'N', 'N'), _defineProperty(_ru, 'O', 'O'), _defineProperty(_ru, 'P', 'P'), _defineProperty(_ru, 'Q', 'Q'), _defineProperty(_ru, 'R', 'R'), _defineProperty(_ru, 'S', 'S'), _defineProperty(_ru, 'T', 'T'), _defineProperty(_ru, 'U', 'U'), _defineProperty(_ru, 'V', 'V'), _defineProperty(_ru, 'W', 'W'), _defineProperty(_ru, 'X', 'X'), _defineProperty(_ru, 'Y', 'Y'), _defineProperty(_ru, 'Z', 'Z'), _defineProperty(_ru, 'a', 'a'), _defineProperty(_ru, 'b', 'b'), _defineProperty(_ru, 'c', 'c'), _defineProperty(_ru, 'd', 'd'), _defineProperty(_ru, 'e', 'e'), _defineProperty(_ru, 'f', 'f'), _defineProperty(_ru, 'g', 'g'), _defineProperty(_ru, 'h', 'h'), _defineProperty(_ru, 'i', 'i'), _defineProperty(_ru, 'j', 'j'), _defineProperty(_ru, 'k', 'k'), _defineProperty(_ru, 'l', 'l'), _defineProperty(_ru, 'm', 'm'), _defineProperty(_ru, 'n', 'n'), _defineProperty(_ru, 'o', 'o'), _defineProperty(_ru, 'p', 'p'), _defineProperty(_ru, 'q', 'q'), _defineProperty(_ru, 'r', 'r'), _defineProperty(_ru, 's', 's'), _defineProperty(_ru, 't', 't'), _defineProperty(_ru, 'u', 'u'), _defineProperty(_ru, 'v', 'v'), _defineProperty(_ru, 'w', 'w'), _defineProperty(_ru, 'x', 'x'), _defineProperty(_ru, 'y', 'y'), _defineProperty(_ru, 'z', 'z'), _ru),
  'uk': {
    "А": "A",
    "а": "a",
    "Б": "B",
    "б": "b",
    "В": "V",
    "в": "v",
    "Г": "H",
    "г": "h",
    "Ґ": "G",
    "ґ": "g",
    "Д": "D",
    "д": "d",
    "Е": "E",
    "е": "e",
    "Ж": "Zh",
    "ж": "zh",
    "З": "Z",
    "з": "z",
    "И": "Y",
    "и": "y",
    "І": "I",
    "і": "i",
    "Ї": "Yi",
    "ї": "yi",
    "Й": "Y",
    "й": "y",
    "К": "K",
    "к": "k",
    "Л": "L",
    "л": "l",
    "М": "M",
    "м": "m",
    "Н": "N",
    "н": "n",
    "О": "O",
    "о": "o",
    "П": "P",
    "п": "p",
    "Р": "R",
    "р": "r",
    "С": "S",
    "с": "s",
    "Т": "T",
    "т": "t",
    "У": "U",
    "у": "u",
    "Ф": "F",
    "ф": "f",
    "Х": "Kh",
    "х": "kh",
    "Ц": "Ts",
    "ц": "ts",
    "Ч": "Ch",
    "ч": "ch",
    "Ш": "Sh",
    "ш": "sh",
    "Щ": "Shch",
    "щ": "shch",
    "Ь": "’",
    "ь": "’",
    "Є": "Ye",
    "є": "ye",
    "Ю": "Yu",
    "ю": "yu",
    "Я": "Ja",
    "я": "ja",
    " ": " ",
    "\"": "\"",
    "'": "'",
    "!": "!",
    "#": "#",
    "$": "$",
    "%": "%",
    "&": "&",
    "(": "(",
    ")": ")",
    "*": "*",
    "+": "+",
    ",": ",",
    "-": "-",
    ".": ".",
    "/": "/",
    ":": ":",
    ";": ";",
    "<": "<",
    "=": "=",
    ">": ">",
    "?": "?",
    "@": "@",
    "[": "[",
    "]": "]",
    "^": "^",
    "_": "_",
    "`": "`",
    "{": "{",
    "|": "|",
    "}": "}",
    "~": "~",
    "0": "0",
    "1": "1",
    "2": "2",
    "3": "3",
    "4": "4",
    "5": "5",
    "6": "6",
    "7": "7",
    "8": "8",
    "9": "9",
    '№': '№',
    "	": "	",
    'A': 'A',
    'B': 'B',
    'C': 'C',
    'D': 'D',
    'E': 'E',
    'F': 'F',
    'G': 'G',
    'H': 'H',
    'I': 'I',
    'J': 'J',
    'K': 'K',
    'L': 'L',
    'M': 'M',
    'N': 'N',
    'O': 'O',
    'P': 'P',
    'Q': 'Q',
    'R': 'R',
    'S': 'S',
    'T': 'T',
    'U': 'U',
    'V': 'V',
    'W': 'W',
    'X': 'X',
    'Y': 'Y',
    'Z': 'Z',
    'a': 'a',
    'b': 'b',
    'c': 'c',
    'd': 'd',
    'e': 'e',
    'f': 'f',
    'g': 'g',
    'h': 'h',
    'i': 'i',
    'j': 'j',
    'k': 'k',
    'l': 'l',
    'm': 'm',
    'n': 'n',
    'o': 'o',
    'p': 'p',
    'q': 'q',
    'r': 'r',
    's': 's',
    't': 't',
    'u': 'u',
    'v': 'v',
    'w': 'w',
    'x': 'x',
    'y': 'y',
    'z': 'z'
  }
};