'use strict';

var _providers = require('../providers.js');

var _util = require('./../util');

var data = (0, _util.pull)('food.json', 'en');
var food = new _providers.Food();

describe('Test food provider', function () {

  it('should be in array', function () {
    expect(data.vegetables).toContain(food.vegetable());
  });

  it('should be in array', function () {
    expect(data.fruits).toContain(food.fruit());
  });

  it('should be in array', function () {
    expect(data.dishes).toContain(food.dish());
  });

  it('should be in array', function () {
    expect(data.spices).toContain(food.spices());
  });

  it('should be in array', function () {
    expect(data.drinks).toContain(food.drink());
  });
});